Skip to main content
POST
/
api
/
v1
/
alert-channels
Create a new alert channel with encrypted config
curl --request POST \
  --url https://api.devhelm.io/api/v1/alert-channels \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "config": {
    "channelType": "datadog",
    "apiKey": "<string>",
    "site": "<string>",
    "tags": "<string>"
  }
}
'
import requests

url = "https://api.devhelm.io/api/v1/alert-channels"

payload = {
"name": "<string>",
"config": {
"channelType": "datadog",
"apiKey": "<string>",
"site": "<string>",
"tags": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
config: {channelType: 'datadog', apiKey: '<string>', site: '<string>', tags: '<string>'}
})
};

fetch('https://api.devhelm.io/api/v1/alert-channels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "enabled": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "displayConfig": {
      "recipients": [
        "<string>"
      ],
      "region": "<string>",
      "severityOverride": "<string>",
      "mentionRoleId": "<string>",
      "customHeaders": {},
      "chatId": "<string>",
      "priority": "<string>",
      "channel": "<string>",
      "routingKey": "<string>",
      "deviceIden": "<string>",
      "teamId": "<string>",
      "visibility": "<string>",
      "severity": "<string>",
      "site": "<string>",
      "projectKey": "<string>"
    },
    "configHash": "<string>",
    "lastDeliveryAt": "2023-11-07T05:31:56Z",
    "lastDeliveryStatus": "<string>"
  }
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Body

application/json
name
string
required

Human-readable name for this alert channel

Maximum string length: 255
config
object
required
managedBy
enum<string> | null

Source creating this channel: DASHBOARD, CLI, TERRAFORM, MCP, or API. Defaults to API when omitted.

Available options:
DASHBOARD,
CLI,
TERRAFORM,
MCP,
API

Response

Created

data
object
required

Alert channel with non-sensitive configuration metadata